SpringLobby 0.267 released! - Page 12

SpringLobby 0.267 released!

Moderators: Moderators, Lobby Developers

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: SpringLobby 0.246 released!

Post by abma » 25 Apr 2016, 02:16

released 0.246 which fixes some download issues:
- fix can't download more than one engine per session
- delete .sdp when rapid download failed
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: SpringLobby 0.247 released!

Post by abma » 02 May 2016, 22:37

released 0.247 which hopefully fixes a crash in battleroom. (couldn't retest / verify due lack of feedback)
0 x

User avatar
prandipadaro
Posts: 92
Joined: 19 Oct 2011, 22:38

Re: SpringLobby 0.247 released!

Post by prandipadaro » 21 May 2016, 14:39

just reinstall my OS, Kubunbtu 16.04 (in multiple boot with 15.10 and win)
yesterday install springlobby from source (0.247), and all work fine (i have play a game)
today i reboot my pc and springlobby does not want run
launch from terminal say:

Code: Select all

p@p47:~/.springlobby/springlobby-0.247$ springlobby 

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed

(springlobby:6655): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'height >= -1' failed
Annullato (core dump creato)
Can someone help me? need other information? i cant find a infolog about springlobby
0 x

User avatar
Karl
Panzerstahl Developer
Posts: 746
Joined: 01 Apr 2010, 21:05

Re: SpringLobby 0.247 released!

Post by Karl » 21 May 2016, 16:27

Is the Linux Mint packages for this lobby updated at all? Since my package manager shows only version 0.169 which is very old, like 3 years at least or so. I had to compile this thing from source because of that.

Even when I follow the Ubuntu guide, Synaptic Package manager still shows only the 0.169 version.
https://github.com/springlobby/springlo ... all#Ubuntu
0 x

User avatar
prandipadaro
Posts: 92
Joined: 19 Oct 2011, 22:38

Re: SpringLobby 0.247 released!

Post by prandipadaro » 22 May 2016, 10:46

i try to delete and reinstall at all
this is the CmakeError.log output:

Code: Select all

Determining if the pthread_create exist failed with the following output:
Change Dir: /home/p/Scrivania/springlobby/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_8f9a9/fast"
/usr/bin/make -f CMakeFiles/cmTC_8f9a9.dir/build.make CMakeFiles/cmTC_8f9a9.dir/build
make[1]: ingresso nella directory "/home/p/Scrivania/springlobby/CMakeFiles/CMakeTmp"
Building C object CMakeFiles/cmTC_8f9a9.dir/CheckSymbolExists.c.o
/usr/bin/cc    -Wextra -Wall -Wno-strict-aliasing  -std=gnu++11   -o CMakeFiles/cmTC_8f9a9.dir/CheckSymbolExists.c.o   -c /home/p/Scrivania/springlobby/CMakeFiles/CMakeTmp/CheckSymbolExists.c
cc1: warning: command line option ‘-std=gnu++11’ is valid for C++/ObjC++ but not for C
Linking C executable cmTC_8f9a9
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_8f9a9.dir/link.txt --verbose=1
/usr/bin/cc   -Wextra -Wall -Wno-strict-aliasing  -std=gnu++11    CMakeFiles/cmTC_8f9a9.dir/CheckSymbolExists.c.o  -o cmTC_8f9a9 -rdynamic 
CMakeFiles/cmTC_8f9a9.dir/CheckSymbolExists.c.o: nella funzione "main":
CheckSymbolExists.c:(.text+0x16): riferimento non definito a "pthread_create"
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_8f9a9.dir/build.make:97: set di istruzioni per l'obiettivo "cmTC_8f9a9" non riuscito
make[1]: *** [cmTC_8f9a9] Errore 1
make[1]: uscita dalla directory "/home/p/Scrivania/springlobby/CMakeFiles/CMakeTmp"
Makefile:126: set di istruzioni per l'obiettivo "cmTC_8f9a9/fast" non riuscito
make: *** [cmTC_8f9a9/fast] Errore 2

File /home/p/Scrivania/springlobby/CMakeFiles/CMakeTmp/CheckSymbolExists.c:
/* */
#include <pthread.h>

int main(int argc, char** argv)
{
  (void)argv;
#ifndef pthread_create
  return ((int*)(&pthread_create))[argc];
#else
  (void)argc;
  return 0;
#endif
}

Determining if the function pthread_create exists in the pthreads failed with the following output:
Change Dir: /home/p/Scrivania/springlobby/CMakeFiles/CMakeTmp

Run Build Command:"/usr/bin/make" "cmTC_ca3f5/fast"
/usr/bin/make -f CMakeFiles/cmTC_ca3f5.dir/build.make CMakeFiles/cmTC_ca3f5.dir/build
make[1]: ingresso nella directory "/home/p/Scrivania/springlobby/CMakeFiles/CMakeTmp"
Building C object CMakeFiles/cmTC_ca3f5.dir/CheckFunctionExists.c.o
/usr/bin/cc    -Wextra -Wall -Wno-strict-aliasing -DCHECK_FUNCTION_EXISTS=pthread_create  -std=gnu++11   -o CMakeFiles/cmTC_ca3f5.dir/CheckFunctionExists.c.o   -c /usr/share/cmake-3.5/Modules/CheckFunctionExists.c
cc1: warning: command line option ‘-std=gnu++11’ is valid for C++/ObjC++ but not for C
Linking C executable cmTC_ca3f5
/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_ca3f5.dir/link.txt --verbose=1
/usr/bin/cc   -Wextra -Wall -Wno-strict-aliasing -DCHECK_FUNCTION_EXISTS=pthread_create  -std=gnu++11    CMakeFiles/cmTC_ca3f5.dir/CheckFunctionExists.c.o  -o cmTC_ca3f5 -rdynamic -lpthreads 
/usr/bin/ld: impossibile trovare -lpthreads
collect2: error: ld returned 1 exit status
CMakeFiles/cmTC_ca3f5.dir/build.make:97: set di istruzioni per l'obiettivo "cmTC_ca3f5" non riuscito
make[1]: *** [cmTC_ca3f5] Errore 1
make[1]: uscita dalla directory "/home/p/Scrivania/springlobby/CMakeFiles/CMakeTmp"
Makefile:126: set di istruzioni per l'obiettivo "cmTC_ca3f5/fast" non riuscito
make: *** [cmTC_ca3f5/fast] Errore 2
0 x

User avatar
prandipadaro
Posts: 92
Joined: 19 Oct 2011, 22:38

Re: SpringLobby 0.247 released!

Post by prandipadaro » 22 May 2016, 11:20

solved by remove all the spring and springlobby relative folder inside my home, remove springlobby and reinstall another time. Sorry for disturb and thanks for help.
1 x

User avatar
prandipadaro
Posts: 92
Joined: 19 Oct 2011, 22:38

Re: SpringLobby 0.247 released!

Post by prandipadaro » 22 May 2016, 15:21

OMG!
i'm sorry, but after th this is e first springlobby close and try to reopen it don't work always say me:
core dump created
its irritating
someone can help pease?
0 x

User avatar
prandipadaro
Posts: 92
Joined: 19 Oct 2011, 22:38

Re: SpringLobby 0.247 released!

Post by prandipadaro » 22 May 2016, 18:09

uff... i'm sorry.
i think i find a bug or something of strange
i reach the conclusion that engine 101.0 and engine 101.0.1-384-gee40720 develop cant live together, this cause crash!
Karl wrote:Is the Linux Mint packages for this lobby updated at all? Since my package manager shows only version 0.169 which is very old, like 3 years at least or so. I had to compile this thing from source because of that.

Even when I follow the Ubuntu guide, Synaptic Package manager still shows only the 0.169 version.
https://github.com/springlobby/springlo ... all#Ubuntu
about this: on 16.04 the package is the 0.237 but i prefer manually compiling
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: SpringLobby 0.247 released!

Post by abma » 22 May 2016, 19:15

prandipadaro wrote:i reach the conclusion that engine 101.0 and engine 101.0.1-384-gee40720 develop cant live together, this cause crash!
you hit https://github.com/springlobby/springlobby/issues/707

uninstall the system installed spring and it will work!
0 x

daedalus
Posts: 2
Joined: 04 Jun 2016, 12:16

Re: SpringLobby 0.247 released!

Post by daedalus » 04 Jun 2016, 12:28

prandipadaro wrote:solved by remove all the spring and springlobby relative folder inside my home, remove springlobby and reinstall another time. Sorry for disturb and thanks for help.
May I ask you in details how did you do?
I'm plagued by the IA__gtk_widget_set_size_request thing since 0.425 update, sometimes springlobby launches anyways, most of times no...

I did: (in Linux Mint 17.3 x64):

apt-get remove --purge spring
apt-get remove --purge springlobby
rm -rf .spring/
rm -rf .springlobby/

then reinstalling spring & springlobby. Only first run works, then I get again the same issue. I have even recompiled springlobby from git repo.

BTW, I'm not really convinced at all the GTK thing is the real issue.
Running springlobby -cl returns me this:

Code: Select all

Warning  /home/deda/Coding/springlobby/src/utils/wxTranslationHelper.cpp:26 Couldn't load locale 0, fallback to default

(springlobby:3948): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:3948): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:3948): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:3948): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:3948): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:3948): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:3948): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed
Warning  /home/deda/Coding/springlobby/src/log.cpp:169 Error: FIXME: Couldn't load GetMapInfoCount from unitsync library
Error    /home/deda/Coding/springlobby/src/springlobbyapp.cpp:209 Fatal exception!
Annullato
any ideas about?
Thanks in advance :)


EDIT: in case it could help...

gdb springlobby -> run returns me this:

Code: Select all

GNU gdb (Ubuntu 7.7.1-0ubuntu5~14.04.2) 7.7.1
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from springlobby...done.
(gdb) run
Starting program: /usr/local/bin/springlobby 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[New Thread 0x7fffe59b9700 (LWP 6046)]

(springlobby:6042): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:6042): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:6042): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:6042): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:6042): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:6042): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(springlobby:6042): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed
[New Thread 0x7fffdbc75700 (LWP 6047)]

Program received signal SIGSEGV, Segmentation fault.
0x00007fffdab54aec in boost::object_cache<boost::re_detail::cpp_regex_traits_base<char>, boost::re_detail::cpp_regex_traits_implementation<char> >::do_get(boost::re_detail::cpp_regex_traits_base<char> const&, unsigned long) ()
   from /usr/lib/x86_64-linux-gnu/libboost_regex.so.1.54.0
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: SpringLobby 0.247 released!

Post by abma » 04 Jun 2016, 15:07

https://github.com/springlobby/springlobby/issues/707

uninstall the system installed spring, i.e. apt-get remove spring.
1 x

daedalus
Posts: 2
Joined: 04 Jun 2016, 12:16

Re: SpringLobby 0.247 released!

Post by daedalus » 04 Jun 2016, 18:00

abma wrote:https://github.com/springlobby/springlobby/issues/707

uninstall the system installed spring, i.e. apt-get remove spring.
Thank you abma, that worked! :-) :-) :-) :-)
0 x

versus666
Posts: 1
Joined: 25 Jun 2016, 06:01

Re: SpringLobby 0.247 released!

Post by versus666 » 06 Jul 2016, 04:37

Hi !
I have the same problem.

I had in Linux Mint 17.3 x64 with Springlobby 0.245) that worked well. Then a few days ago I installed in Linux Mint 18 x64, downloaded Springlobby 0.247 from getdeb and got the same error as daedalus & prandipadaro.
I have Spring 100,101 & 101.0.1-323gdc57279 dev downloaded by Springlobby from the previous OS install and copied in the right directory.


When I install only Springlobby I get this:

Code: Select all

Preparing to unpack springlobby_0.247-1~getdeb1_amd64(xenial).deb ...
Unpacking springlobby (0.247-1~getdeb1) ...
dpkg: dependency problems prevent configuration of springlobby:
 springlobby depends on spring (>= 97.0); however:
  Package spring is not installed.
So I need to do resolve dependencies with this:

Code: Select all

sudo apt-get -f install
Spring get installed and...Springlobby crash on launch.

And when I uninstall Spring I get this:

Code: Select all

the following packages were automatically installed and are no longer required:
  fonts-freefont-otf liballegro4.4 libalure1 libbinio1v5 libboost-chrono1.58.0
  libboost-program-options1.58.0 libboost-regex1.58.0 libdevil1c2 libjsoncpp1
  libminizip1 libsdl2-2.0-0 libsndio6.1 spring-common
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  spring springlobby
Yeah, can't remove Spring without removing Springlobby itself so I simply can't follow abma advice.

So I checked the installed files and did this instead:

Code: Select all

sudo mv /usr/lib/spring/libunitsync.so /usr/lib/spring/libunitsync.so-
Worked.
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: SpringLobby 0.248 released!

Post by abma » 09 Jul 2016, 22:56

released 0.248 which doesn't autodetect system installed spring to avoid the crash: https://github.com/springlobby/springlobby/issues/707

autodetection for system installed spring will be reenabled when spring >= 102.0 is more common.
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: SpringLobby 0.249 released!

Post by abma » 11 Jul 2016, 18:20

released 0.249:

- fix crash when parsing .sdfz (compressed spring demo file)
- fix crash with broken SpringData dirs
0 x

raaar
Metal Factions Developer
Posts: 813
Joined: 20 Feb 2010, 12:17

Re: SpringLobby 0.249 released!

Post by raaar » 12 Jul 2016, 05:19

Nice. Thanks.
0 x

User avatar
FLOZi
MC: Legacy & Spring 1944 Developer
Posts: 6107
Joined: 29 Apr 2005, 01:14

Re: SpringLobby 0.251 released!

Post by FLOZi » 21 Jul 2016, 00:07

I know you won't find this terribly helpful, but;
[buffyverse] flozi: game?
[buffyverse] flozi: if springlobby ever stops crashing on me
[buffyverse] flozi: ffs
[buffyverse] flozi: finally
[buffyverse] flozi: k, game up!
zverofaust: Minute
zverofaust: updating
zverofaust: it downloads everything twice
[buffyverse] flozi: screenshot me your springlobby preferences window?
zverofaust: http://i.imgur.com/lf771B4.png
[buffyverse] flozi: hmm that looks ok
zverofaust: where is it downloading this shit to
[buffyverse] flozi: in SL, go to help->system info
zverofaust: why3
zverofaust: why
zverofaust: why is it in users
[buffyverse] flozi: most annoying isn't it
[buffyverse] flozi: ther eis supposed to be some fucking isolation mode to stop it raping your system but v0v
[buffyverse] flozi: fwiw I do this:
[buffyverse] flozi: http://i.imgur.com/w42IeIf.png
[buffyverse] flozi: and just copy that springsettings.cfg into each new version folder
[buffyverse] flozi: http://i.imgur.com/y8plFgb.png important line is SpringData
zverofaust: http://i.imgur.com/xbXGCxj.png
[buffyverse] flozi: :(
zverofaust: where does mod go
zverofaust: i mean i SEE this map in my maps folder
zverofaust: but it says i dont have it
zverofaust: but where are mods downloaded to
zverofaust: and why
[buffyverse] flozi: downlaods are rapid pixiedust
zverofaust: this is just the worst
zverofaust: the worst thing ever made
zverofaust: then where does the mod info go
zverofaust: where does everything contained in that rapid go
zverofaust: how does springlobby see it
zverofaust: how is it loaded onto my computers
zverofaust: better yet what is the point of this
[buffyverse] flozi: the point is for incremental updates without users having to have git
zverofaust: what is the point of spring itself
[buffyverse] flozi: shall we just try
[buffyverse] flozi: and launch the game
[buffyverse] flozi: sometimes SL shows unsync
[buffyverse] flozi: when it runs fine
zverofaust: sure
zverofaust: go ahead
zverofaust: i cant even see factions
zverofaust: let alone choose one
zverofaust: but go ahewad
zverofaust: shocker it didnt work
[buffyverse] flozi: what error?
[buffyverse] flozi: countdown?
zverofaust: it just hanged indefinitely on trying to connect
zverofaust: it clearly does not recognize that i have this version of mcl
zverofaust: or this map
[buffyverse] flozi: hang on
zverofaust: i guess i should be thankful it sees the engine
[buffyverse] flozi: my ports are fucked
zverofaust: http://i.imgur.com/4SS0OPX.png
zverofaust: oh it doesnt see ANY games rofl
zverofaust: or maps or anything
zverofaust: gg spring! gg springlobby!
[buffyverse] flozi: try again i sorted out my port forwarding
zverofaust: did you not read? SL isnt detecting any of my maps or mods or anything
[buffyverse] flozi: edit springsetings.cfg in your 103 folder and add a SpringData= line
[buffyverse] flozi: pointing at wherever you store maps and shit
[buffyverse] flozi: http://i.imgur.com/y8plFgb.png
zverofaust: what springsettings lmao
[buffyverse] flozi: there should be one in your 103 folder
zverofaust: nope
[buffyverse] flozi: ... it's in the minimal portable zip, how did you install 103?
zverofaust: SL auto installed it
A conversation between 2 people who have been familiar with Spring's ecosystem pretty much from it's inception.
0 x

User avatar
FLOZi
MC: Legacy & Spring 1944 Developer
Posts: 6107
Joined: 29 Apr 2005, 01:14

Re: SpringLobby 0.251 released!

Post by FLOZi » 21 Jul 2016, 00:21

The absolute and unfortunate truth is this;

The situation is not only as bad as it has ever been.

It is the worst.
0 x

User avatar
FLOZi
MC: Legacy & Spring 1944 Developer
Posts: 6107
Joined: 29 Apr 2005, 01:14

Re: SpringLobby 0.251 released!

Post by FLOZi » 21 Jul 2016, 00:26

A fresh install;
[buffyverse] flozi: Forb
zverofaust: FLOZI
zverofaust: this needs to stop
zverofaust: right now
zverofaust: you need to stop doing this to yourself & others
zverofaust: spring needs to die as a project, a game engine and as a community
zverofaust: it is painful to watch this horrible deformity continue on
zverofaust: if spring was a horse it would have been shot years ago
zverofaust: even a fresh install
zverofaust: it sees no games, no mods, nothing
[buffyverse] flozi: ready up
zverofaust: http://i.imgur.com/iZ7QoDv.png
zverofaust: http://i.imgur.com/Fm102aC.png

Eventually;
[23:33:03] <[S44]FLOZi> well holy shit
[23:33:09] <[S44]FLOZi> write down wtfever finally made it work
[23:33:15] <zverohelmet> reinstall everything
[23:33:17] <zverohelmet> p simple
0 x

abma
Spring Developer
Posts: 3548
Joined: 01 Jun 2009, 00:08

Re: SpringLobby 0.251 released!

Post by abma » 21 Jul 2016, 00:41

for me it looks like springlobby should override / reset all human changes in springsettings / datadirs :-|

also: only help->system info is useful. any other info is useless / incomplete.

for the future, please look into / provide springlobby.log.
0 x

Post Reply

Return to “SpringLobby Client”